<div class="container">
    <div class="container">
      <h2>
        <span>Form Input Tanda Terima Keluar Internal</span>
      </h2>
      <jhi-alert></jhi-alert>
      <div class="ui-g-12" style="background-color: white">
        <div class="ui-g-12" style="margin-top: 50px">
          <div class="ui-g-12">
            <div class="ui-g-2">
              <label for="nott">No. Tanda Terima</label>
            </div>
            <div class="ui-g-10">
              <input type="text" [(ngModel)]="nott" class="form-control" (blur)="ceknott()" readonly />
            </div>
          </div>
          <div class="ui-g-12" hidden>
            <div class="ui-g-2">
              <label for="nott"> Pengiriman</label>
            </div>
            <div class="ui-g-10">
              <p-calendar inputId="dtreceipt" name="input_dtreceipt" [(ngModel)]="tandaTerima.dtreceipt" dateFormat="dd-MM-yy"
                [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999" appendTo="body"
                autocomplete="false"></p-calendar>
            </div>
          </div>

          <div class="ui-g-12">
            <div class="ui-g-2">
              <label for="nott">Nama Pengirim</label>
            </div>
            <div class="ui-g-10">
              <input type="text" [(ngModel)]="tandaTerima.nama_pengirim" placeholder="Tuliskan Inisial" class="form-control" required />
            </div>
          </div>

          <div class="ui-g-12">
            <div class="ui-g-2">
              <label for="nott">Group Penerima</label>
            </div>
            <div class="ui-g-10">
              <select class="form-control" id="field_nama_pt" name="inputNamaPT" [(ngModel)]="tandaTerima.nama_pt" required (change)="nullPenerima()">
                <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of nama_pt">
                  {{ divitionOption.label }}
                </option>
              </select>
            </div>
          </div>
  
  
          <div class="ui-g-12">
            <div class="ui-g-2">
              <label for="nott">Divisi Penerima</label>
            </div>
            <div class="ui-g-10">
              <select class="form-control" id="inputDivisi" name="inputDivisi" [(ngModel)]="tandaTerima.divisi_internal" required (change)="getUserDivisi()">
                <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of divisi">
                  {{ divitionOption.label }}
                </option>
              </select>
            </div>
          </div>
  
          <div class="ui-g-12" [hidden]="tandaTerima.nama_pt !== 'SKG' && tandaTerima.nama_pt !== 'SBS'">
            <div class="ui-g-2">
              <label for="nott">Nama Penerima</label>
            </div>
            <div class="ui-g-10">
                <select class="form-control" id="langKey" name="langKey" [(ngModel)]="tandaTerima.nama_penerima2">
                    <option *ngFor="let language of user_divisi" [value]="language.value">{{language.label}}</option>
                </select>
            </div>
          </div>
          <div class="ui-g-12"  [hidden]="tandaTerima.nama_pt === 'SKG' || tandaTerima.nama_pt === 'SBS'">
            <div class="ui-g-2">
              <label for="nott">Nama Penerima</label>
            </div>
            <div class="ui-g-10">
                <input type="text" [(ngModel)]="tandaTerima.nama_penerima2" class="form-control" required/>
            </div>
          </div>
  
          <div class="ui-g-12">
            <div class="ui-g-2">
              <label for="nott">Alamat Tujuan</label>
            </div>
            <div class="ui-g-10">
              <textarea [rows]="5" [cols]="100" pInputTextarea autoResize="autoResize" [(ngModel)]="tandaTerima.alamat" name="alamat" placeholder="Alamat Penerima"
                class="form-control" required></textarea>
            </div>
          </div>
  
          <div class="ui-g-12">
            <div class="ui-g-2">
              <label for="nott">Jumlah Dokumen</label>
            </div>
            <div class="ui-g-10">
              <input type="number" [(ngModel)]="tandaTerima.jumlah_dokumen" class="form-control" required />
            </div>
          </div>
  
          <div class="ui-g-12">
            <div class="ui-g-2">
              <label for="nott">Jenis Dokumen</label>
            </div>
            <div class="ui-g-10">
              <input type="text" [(ngModel)]="tandaTerima.jenis_dokumen" class="form-control" placeholder="Tuliskan Jenis Dokumen" required />

            </div>
          </div>
          <div class="ui-g-12" style="margin-bottom: 100px">
            <div class="btn-group flex-btn-group-container">
              <button pButton type="submit" label="Simpan" icon="fa-save" class="ui-button-primary flat-label-button"
                (click)="savett()" [hidden]="isview === true"></button>
              <button pButton label="Kembali" class="ui-button-primary flat-label-button"
                (click)="backMainPage()"></button>
            </div>
          </div>
          <br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
        </div>
      </div>
    </div>
  </div>
  <div style="margin-top: 50px"></div>
  <p-confirmDialog></p-confirmDialog>